Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSizePolicy.ControlType

    java.lang.Object
      java.lang.Enum<QSizePolicy.ControlType>
          com.trolltech.qt.gui.QSizePolicy.ControlType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSizePolicy.ControlType>

Enclosing class:
  QSizePolicy

    public static enum QSizePolicy.ControlType

extends java.lang.Enum<QSizePolicy.ControlType>
implements QtEnumerator

This enum specifies the different types of widgets in terms of layout interaction.

Constant | Value | Description
--- | --- | ---
`DefaultType` | `1` | The default type, when none is specified.
`ButtonBox` | `2` | A `QDialogButtonBox` instance.
`CheckBox` | `4` | A `QCheckBox` instance.
`ComboBox` | `8` | A `QComboBox` instance.
`Frame` | `16` | A `QFrame` instance.
`GroupBox` | `32` | A `QGroupBox` instance.
`Label` | `64` | A `QLabel` instance.
`Line` | `128` | A `QFrame` instance with QFrame::HLine or QFrame::VLine.
`LineEdit` | `256` | A `QLineEdit` instance.
`PushButton` | `512` | A `QPushButton` instance.
`RadioButton` | `1024` | A `QRadioButton` instance.
`Slider` | `2048` | A `QAbstractSlider` instance.
`SpinBox` | `4096` | A `QAbstractSpinBox` instance.
`TabWidget` | `8192` | A `QTabWidget` instance.
`ToolButton` | `16384` | A `QToolButton` instance.

See Also:
  `setControlType`, `controlType`

Enum Constant Summary
`ButtonBox` A `QDialogButtonBox` instance.
`CheckBox` A `QCheckBox` instance.
`ComboBox` A `QComboBox` instance.
`DefaultType` The default type, when none is specified.
`Frame` A `QFrame` instance.
`GroupBox` A `QGroupBox` instance.
`Label` A `QLabel` instance.
`Line` A `QFrame` instance with QFrame::HLine or QFrame::VLine.
`LineEdit` A `QLineEdit` instance.
`PushButton` A `QPushButton` instance.
`RadioButton` A `QRadioButton` instance.
`Slider` A `QAbstractSlider` instance.
`SpinBox` A `QAbstractSpinBox` instance.
`TabWidget` A `QTabWidget` instance.
`ToolButton` A `QToolButton` instance.

Method Summary
`static QSizePolicy.ControlTypes` | `createQFlags(QSizePolicy.ControlType... values)`
`static QSizePolicy.ControlType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.ControlType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSizePolicy.ControlType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DefaultType

    public static final QSizePolicy.ControlType DefaultType

  The default type, when none is specified.

### ButtonBox

    public static final QSizePolicy.ControlType ButtonBox

  A `QDialogButtonBox` instance.

### CheckBox

    public static final QSizePolicy.ControlType CheckBox

  A `QCheckBox` instance.

### ComboBox

    public static final QSizePolicy.ControlType ComboBox

  A `QComboBox` instance.

### Frame

    public static final QSizePolicy.ControlType Frame

  A `QFrame` instance.

### GroupBox

    public static final QSizePolicy.ControlType GroupBox

  A `QGroupBox` instance.

### Label

    public static final QSizePolicy.ControlType Label

  A `QLabel` instance.

### Line

    public static final QSizePolicy.ControlType Line

  A `QFrame` instance with QFrame::HLine or QFrame::VLine.

### LineEdit

    public static final QSizePolicy.ControlType LineEdit

  A `QLineEdit` instance.

### PushButton

    public static final QSizePolicy.ControlType PushButton

  A `QPushButton` instance.

### RadioButton

    public static final QSizePolicy.ControlType RadioButton

  A `QRadioButton` instance.

### Slider

    public static final QSizePolicy.ControlType Slider

  A `QAbstractSlider` instance.

### SpinBox

    public static final QSizePolicy.ControlType SpinBox

  A `QAbstractSpinBox` instance.

### TabWidget

    public static final QSizePolicy.ControlType TabWidget

  A `QTabWidget` instance.

### ToolButton

    public static final QSizePolicy.ControlType ToolButton

  A `QToolButton` instance.

Method Detail

### values

    public static final QSizePolicy.ControlType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSizePolicy.ControlType c : QSizePolicy.ControlType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSizePolicy.ControlType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QSizePolicy.ControlTypes createQFlags(QSizePolicy.ControlType... values)

### resolve

    public static QSizePolicy.ControlType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD